#ifndef CRFEPURHIDKEYBOARDREADERDIALOG_H
#define CRFEPURHIDKEYBOARDREADERDIALOG_H

#include <QDialog>
#include "../../ui/ConfigDialog.h"
#include <ui_CRfePurHidKeyboardReaderDialog.h>

#include <def.h>

class QrfeReaderInterface;
class QrfeRfePurHidKeyboardReader;

class CRfePurHidKeyboardReaderDialog: public QDialog, ConfigDialog
{
    Q_OBJECT

public:
	CRfePurHidKeyboardReaderDialog(QWidget *parent = 0);
    ~CRfePurHidKeyboardReaderDialog();

public slots:
	int exec ( QrfeReaderInterface* ph );
	virtual void done( int r );

	void getSettings();
	void setSettings();

	void storeSettings();
	void restoreFactory();
	void rebootDevice();

signals:
	void appendGlobalJob(JobType type, const QList<QVariant>& params);

private:
	void setLabel(QLabel* label, QString text, QColor back);

private:
    Ui::CRfePurHidKeyboardReaderDialogClass ui;

    QrfeRfePurHidKeyboardReader* 	m_reader;
};

#endif // CRFEPURHIDKEYBOARDREADERDIALOG_H
